import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetTokenBalancesParams } from '../../../position/template/contract-position.template.types';
import { SingleStakingFarmDefinition, SingleStakingFarmTemplateContractPositionFetcher } from '../../../position/template/single-staking.template.contract-position-fetcher';
import { LiquityContractFactory, LiquityStaking } from '../contracts';
export declare class EthereumLiquityStakingContractPositionFetcher extends SingleStakingFarmTemplateContractPositionFetcher<LiquityStaking> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: LiquityContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: LiquityContractFactory);
    getContract(address: string): LiquityStaking;
    getFarmDefinitions(): Promise<SingleStakingFarmDefinition[]>;
    getRewardRates(): Promise<number[]>;
    getIsActive(): Promise<boolean>;
    getStakedTokenBalance({ contract, address }: GetTokenBalancesParams<LiquityStaking>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalances({ contract, address }: GetTokenBalancesParams<LiquityStaking>): Promise<[import("ethers").BigNumber, import("ethers").BigNumber]>;
}
